- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/directorySites/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/directorySites/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/directorySites/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/directorySites/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/directorySites/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/directorySites/list#body.DirectorySitesListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/directorySites/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/directorySites/list#try-it)

Retrieves a list of directory sites, possibly filtered. This method supports [paging](https://developers.google.com/doubleclick-advertisers/trafficking_tasks#list).

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/directorySites`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Query parameters

| Parameters ||
|---|---|
| `ids[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only directory sites with these IDs. |
| `maxResults` | `integer` Maximum number of results to return. |
| `active` | `boolean` Select only active directory sites. Leave blank to retrieve both active and inactive directory sites. |
| `acceptsInterstitialPlacements` | `boolean` This search filter is no longer supported and will have no effect on the results returned. |
| `acceptsPublisherPaidPlacements` | `boolean` Select only directory sites that accept publisher paid placements. This field can be left blank. |
| `acceptsInStreamVideoPlacements` | `boolean` This search filter is no longer supported and will have no effect on the results returned. |
| `dfpNetworkCode` | `string` Select only directory sites with this Ad Manager network code. |
| `searchString` | `string` Allows searching for objects by name, ID or URL. Wildcards (`*`) are allowed. For example, `"directory site*2015"` will return objects with names like `"directory site June 2015"`, `"directory site April 2015"`, or simply `"directory site 2015"`. Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of `"directory site"` will match objects with name `"my directory site"`, `"directory site 2015"` or simply, `"directory site"`. |
| `pageToken` | `string` Value of the `nextPageToken` from the previous result page. |
| `sortField` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortField`)`` Field by which to sort the list. |
| `sortOrder` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortOrder`)`` Order of sorted results. |

### Request body

The request body must be empty.

### Response body

Directory Site directorySites.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "nextPageToken": string, "directorySites": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/directorySites#DirectorySite`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#directorySitesListResponse"`. |
| `nextPageToken` | `string` Pagination token to be used for the next list operation. |
| `directorySites[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/directorySites#DirectorySite`)`` Directory site collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`